Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Marku__Enio
Beginner
117 Views

Intel SGX Platform Software needs to be updated to the latest version.

I run RAP sample with some modification I have done and I got the warning "  Intel SGX Platform Software needs to be updated to the latest version"

I understand that this is an issue with new packages and I have downloaded the new version from "https://download.01.org/intel-sgx/sgx-linux/2.7/docs" and installed the new version of them following this report "Intel_SGX_Installation_Guide_Linux_2.7_Open_Source.pdf".  I am using Ubuntu 18.04. The installation looks good and I can run the sample with new installation packages but I still got that Warning. I have also rebooted my pc after installation process and still got this Warning.

Am I missing something?

Thanks in advance,

Cheers,

Enio

Tags (1)
0 Kudos
2 Replies
kato__fumiyuki
Beginner
117 Views

I am using Ubuntu16.04.

I have same problem. I built sdk and psw from latest master branch on github. And it seems to work well.

And execute this ra sample code https://github.com/intel/sgx-ra-sample.

Enclave trust was success, but I got such warning message like what other got.

---- Enclave Trust Status from Service Provider ----------------------------
Enclave Trust is TRUSTED and COMPLICATED. The client is out of date and
may not be trusted in the future depending on the service provider's  policy.
A Platform Info Blob (PIB) was provided by the IAS
+++ PIB: xxxxxxxxxxxxxxxxxxxxxxx
+++ sgx_report_attestation_status ret = 0x4006
----------------------------------------------------------------------------

---- Platform Update Required ----------------------------------------------
The following Platform Update(s) are required to bring this
platform's Trusted Computing Base (TCB) back into compliance:

  * Intel SGX Platform Software needs to be updated to the latest version.

----------------------------------------------------------------------------

Fumiyuki

JesusG_Intel
Moderator
117 Views

Hello,

Have you tried updating your SGX to the latest version since you last attempted this? Jan. 15, 2020 was very close to when the next version of SGX was released.

Regards,

Jesus

Reply